#
# spec file for package python-crayons
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define modname crayons
Name:           python-crayons
Version:        0.4.0
Release:        3.14
Summary:        Colored strings for terminal usage
License:        MIT
URL:            https://github.com/MasterOdin/crayons
Source:         https://github.com/MasterOdin/%{modname}/archive/v%{version}.tar.gz#/%{modname}-%{version}.tar.gz
BuildRequires:  %{python_module colorama}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
Requires:       python-colorama
BuildArch:      noarch
%python_subpackages

%description
Crayons is a simple module to give you colored strings for terminal usage.
Included colors are red, green, yellow, blue, black, magenta, cyan, white,
and normal.

%prep
%setup -q -n %{modname}-%{version}

%build
%python_build

%install
%python_install

%check
%python_exec test_crayons.py

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/%{modname}.py
%{python_sitelib}/%{modname}-%{version}-py*.egg-info
%pycache_only %{python_sitelib}/__pycache__/%{modname}*

%changelog
* Fri Jun 18 2021 Matej Cepl <mcepl@suse.com>
- Fix Source URL
* Tue Jun 15 2021 Matej Cepl <mcepl@suse.com>
- Don't own everything under sitelib.
- Run some tests (and use GitHub tarball to get it)
* Wed Jan  6 2021 Steve Kowalik <steven.kowalik@suse.com>
- Update to 0.4.0
  * Check that sys.stdout object has isatty attribute in addition to it
    being True
    + If using a custom object that does not have the isatty attribute and
    you would still like color, you can set the CLINT_FORCE_COLOR environment
    variable
  * Explicitly set incoming parameter to crayons to string (so that len, etc.
    work as expected)
- Drop LICENSE as a separate source, now included in the upstream tarball.
* Mon Feb 24 2020 Steve Kowalik <steven.kowalik@suse.com>
- Update to 0.3.0
  * Rewrites clean to just remove ANSI codes, not whatever it was doing before (which seemed to be stripping all characters from the string)
  * Adds random function to get a random color (thanks @azillion)
  * Adds replace_color function to allow setting replacement for a given color (e.g. replace blue with magneta) (thanks @frostming)
  * Adds reset_replace_color to reset any replacement colors set
- Update URL in the spec to be correct
- Write a description
* Mon Mar  4 2019 Ondřej Súkup <mimi.vx@gmail.com>
- update to 0.2.0
  * Add crayons.enable()
  * color funcs generated from __all__ var
  * Disable colors on TERM=dumb
* Fri May 11 2018 toddrme2178@gmail.com
- Don't forget python_module workaround.
* Mon Nov 20 2017 mimi.vx@gmail.com
- initial package
